summaryrefslogtreecommitdiffstats
path: root/libraries/wvstreams
diff options
context:
space:
mode:
author Vincent Batts2010-05-13 00:33:47 +0200
committer Robby Workman2010-05-13 00:33:47 +0200
commit8f9b7aab603c45db3efd62a914642d44331d32f8 (patch)
tree702f8cc9bffa2e4a71d72cad467091a6d36e202f /libraries/wvstreams
parente1ee9cc8e520fa1739ee09519c0f82a7a94be6bf (diff)
downloadslackbuilds-8f9b7aab603c45db3efd62a914642d44331d32f8.tar.gz
libraries/wvstreams: Updated for version 4.6
Diffstat (limited to 'libraries/wvstreams')
-rw-r--r--libraries/wvstreams/slack-desc12
-rw-r--r--libraries/wvstreams/wvstreams.SlackBuild23
-rw-r--r--libraries/wvstreams/wvstreams.info8
3 files changed, 27 insertions, 16 deletions
diff --git a/libraries/wvstreams/slack-desc b/libraries/wvstreams/slack-desc
index c664a682b8..caa6a9fa13 100644
--- a/libraries/wvstreams/slack-desc
+++ b/libraries/wvstreams/slack-desc
@@ -7,13 +7,13 @@
|-----handy-ruler--------------------------------------------------|
wvstreams: WvStreams (networking library in C++)
-wvstreams:
+wvstreams:
wvstreams: It aims to be an efficient, secure, easy-to-use,
wvstreams: and OS-independent library for doing network
wvstreams: applications development.
-wvstreams:
+wvstreams:
wvstreams: http://alumnit.ca/wiki/index.php?page=WvStreams
-wvstreams:
-wvstreams:
-wvstreams:
-wvstreams:
+wvstreams:
+wvstreams:
+wvstreams:
+wvstreams:
diff --git a/libraries/wvstreams/wvstreams.SlackBuild b/libraries/wvstreams/wvstreams.SlackBuild
index bd08026cbf..5102d94227 100644
--- a/libraries/wvstreams/wvstreams.SlackBuild
+++ b/libraries/wvstreams/wvstreams.SlackBuild
@@ -5,7 +5,7 @@
# Written by Vincent Batts, vbatts@batts.mine.nu
PRGNAM=wvstreams
-VERSION=4.4.1
+VERSION=4.6
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -40,23 +43,27 @@ find . \
# configure doesn't support disabling static libraries
# Don't manually remove them either, as wvdial won't build then :)
+# * Build without dbus support, since it requires the static dbus lib
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
--disable-testgui \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --without-dbus \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || exit 1
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || exit 1
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
# Let's not clobber the config file
@@ -68,7 +75,9 @@ mv $PKG/etc/uniconf.conf $PKG/etc/uniconf.conf.new
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a COPYING.LIB ChangeLog README README.TESTS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog LICENSE README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -76,4 +85,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/wvstreams/wvstreams.info b/libraries/wvstreams/wvstreams.info
index a02c5be7d8..1471ad97cc 100644
--- a/libraries/wvstreams/wvstreams.info
+++ b/libraries/wvstreams/wvstreams.info
@@ -1,8 +1,10 @@
PRGNAM="wvstreams"
-VERSION="4.4.1"
+VERSION="4.6"
HOMEPAGE="http://alumnit.ca/wiki/index.php?page=WvStreams"
-DOWNLOAD="http://wvstreams.googlecode.com/files/wvstreams-4.4.1.tar.gz"
-MD5SUM="907b0cba8931553d848620ea16f006b9"
+DOWNLOAD="http://wvstreams.googlecode.com/files/wvstreams-4.6.tar.gz"
+MD5SUM="4ee8ccfe6dfc29bf952d58fa23626c97"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Vincent Batts"
EMAIL="vbatts@batts.mine.nu"
APPROVED="rworkman"